Subject: What's your take on this?

From: <[email-masked]>
Date: Tue, 16 Oct 2007 17:35:01 +0200

Revolutionary New System For Selling Used Cars.

Exit Only, Inc.
EXTO.PK
Current: $0.43

The time table has been moved up. EXTO's overwhelming success in Canada
with its used car marketing site has stepped up its pace to expand its
coverage. We can only imagine how big the response will be when
comparing the great results in Canada to a market as large as the US.
The EXTO difference is sellers advertising their vehicle for free and
then paying only $2 per lead for interested buyers. Today's news
announced the US version is ready ahead of schedule and set to be
released. This thing has already been climbing since September. Now up
over 100% this will rocket as it hits the US market.